
Redmine - Feature #4976

Allow rdm-mailhandler to read the API key from a file

2010-03-03 16:37 - Radek Antoniuk

Status: Closed Start date: 2010-03-03

Priority: Low Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Email receiving Estimated time: 0.00 hour

Target version: 1.3.0   

Resolution: Fixed   

Description

Hey, currently, the rake task from /etc/aliases is logging the authkey into mail.log files on the server.

It would be better if  the rake task takes the credentials from a default or user defined file.

example of log:

Mar  3 16:25:57 server postfix/local

13259

: 9989C1820EC: to=<support@support.com>, relay=local, delay=0.41,

delays=0.12/0.01/0/0.28, dsn=2.0.0, status=sent (delivered to command: /usr/share/redmine/extra/mail_handler/rdm-mailhandler.rb

--url http://xxx --key sss --allow-override tracker,priority,status,project --tracker bug)

Associated revisions

Revision 7954 - 2011-11-27 17:40 - Jean-Philippe Lang

Adds an option to rdm-mailhandler for reading the API key from a file (#4976).

History

#1 - 2010-03-03 21:17 - Jean-Philippe Lang

- Tracker changed from Patch to Feature

- Subject changed from Hide authkey from the rake task to Allow email receiving rake task to read the key from a file

Hey, currently, the rake task from /etc/aliases is logging the authkey into mail.log files on the server.

 This is not the rake task that logs this, this is your postfix server.

#2 - 2010-03-03 22:36 - Jean-Philippe Lang

- Category set to Email receiving

#3 - 2010-03-04 04:13 - Radek Antoniuk

Obviously this is the MTA. :)

That was just a shorthand writing.

Anyway, there should be a method of passing the password via an env. variable or by password file.

#4 - 2011-11-27 17:41 - Jean-Philippe Lang

- Subject changed from Allow email receiving rake task to read the key from a file to Allow rdm-mailhandler to read the API key from a file

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Target version set to 1.3.0

- Resolution set to Fixed

Added in r7954. The option is: --key-file
